%global __requires_exclude pear\\(.*\\)

Summary:	A Comprehensive Linux Benchmarking System
Name:		phoronix-test-suite
Version:	5.0.1
Release:	%mkrel 4
Source0:	http://www.phoronix-test-suite.com/releases/%{name}-%{version}.tar.gz
License:	GPLv3
Group:		Publishing
Url:		http://www.phoronix-test-suite.com/
BuildArch:	noarch
Requires:	php-cli
Requires:	php-fpdf
Recommends:	freeimage-devel
Recommends:	ftjam
Recommends:	git
Recommends:	gcc-gfortran
Recommends:	glew-devel
Recommends:	gtk+2-devel
Recommends:	java
Recommends:	libopenjpeg-devel
Recommends:	imlib2-devel
Recommends:	libaio-devel
Recommends:	libcurl-devel
Recommends:	libfftw-devel
Recommends:	libpopt-devel
Recommends:	libvorbis-devel
Recommends:	openal-devel
Recommends:	perl-devel
#Suggests:	perl-opengl # will be needed in a further revision but we are too close of the release
Recommends:	portaudio-devel
Recommends:	png-devel
Recommends:	php-gd
Recommends:	scons
Recommends:	SDL-devel
Recommends:	SDL_gfx-devel
Recommends:	SDL_net-devel
Recommends:	SDL_image-devel
Recommends:	SDL_sound-devel
Recommends:	SDL_ttf-devel
Recommends:	task-c-devel
Recommends:	task-c++-devel
Recommends:	tcsh
Recommends:	X11-devel

%description
The Phoronix Test Suite is the most comprehensive testing and benchmarking 
platform available for Linux and is designed to carry out qualitative and 
quantitative benchmarks in a clean, reproducible, and easy-to-use manner.

%prep
%setup -q -n %{name}

%build

%install
mkdir -p %{buildroot}%{_prefix}
./install-sh %{buildroot}%{_prefix}
sed -i "s|%{buildroot}||g" %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Phoronix Test Suite
Comment=Phoronix Test Suite Benchmarking Utility
Exec=%{_bindir}/%{name} gui
Icon=%{name}
Terminal=false
Type=Application
Encoding=UTF-8
StartupNotify=true
Categories=GTK;System;Monitor;X-Mageia-CrossDesktop;
EOF

%files
%{_sysconfdir}/bash_completion.d/%{name}
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/phoronix-test-suite-launcher.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%doc %{_datadir}/doc/%{name}


%changelog
* Thu Jan 08 2015 spuhler <spuhler> 5.0.1-4.mga5
+ Revision: 809366
- removed Requires: php-gtk2
 * we removed this package is it doesn't work
 * and it's unmaintained upstream

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-3.mga5
+ Revision: 745925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-2.mga5
+ Revision: 687086
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes
    - s/uggests:/Recommends:/

  + fwang <fwang>
    - replace with mageia

* Mon Apr 28 2014 dams <dams> 5.0.1-1.mga5
+ Revision: 618716
- new version 5.0.1

* Mon Mar 17 2014 dams <dams> 5.0.0-1.mga5
+ Revision: 604450
- new version 5.0.0

* Mon Dec 23 2013 dams <dams> 4.8.6-1.mga4
+ Revision: 560070
- new version 4.8.6

* Mon Oct 21 2013 umeabot <umeabot> 4.8.3-2.mga4
+ Revision: 539576
- Mageia 4 Mass Rebuild

* Mon Oct 07 2013 dams <dams> 4.8.3-1.mga4
+ Revision: 492462
- new version 4.8.3

* Fri Sep 06 2013 dams <dams> 4.8.2-1.mga4
+ Revision: 475378
- new version 4.8.2

* Mon Aug 26 2013 dams <dams> 4.8.1-1.mga4
+ Revision: 471949
- new version 4.8.1

* Sat Jun 08 2013 dams <dams> 4.6.1-1.mga4
+ Revision: 440732
- new version 4.6.1

* Wed May 29 2013 dams <dams> 4.6.0-1.mga4
+ Revision: 432886
- new version 4.6.0

* Tue Mar 26 2013 dams <dams> 4.4.1-1.mga3
+ Revision: 405253
- new version 4.4.1

* Tue Mar 05 2013 dams <dams> 4.4.0-1.mga3
+ Revision: 401481
- new version 4.4.0

* Sun Jan 13 2013 umeabot <umeabot> 4.2.0-2.mga3
+ Revision: 375654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 dams <dams> 4.2.0-1.mga3
+ Revision: 335236
- new version 4.2.0

* Wed Aug 29 2012 dams <dams> 4.0.1-1.mga3
+ Revision: 285005
- new version 4.0.1
- clean specfile

* Sun Aug 12 2012 dams <dams> 4.0.0-1.mga3
+ Revision: 280886
- new version 4.0.0

* Mon Apr 23 2012 dams <dams> 3.8.0-1.mga2
+ Revision: 232954
- new version 3.8.0

* Mon Jan 09 2012 dams <dams> 3.6.1-1.mga2
+ Revision: 193989
- new version 3.6.1

* Tue Dec 20 2011 dams <dams> 3.6.0-1.mga2
+ Revision: 184811
- new version 3.6.0

* Mon Nov 07 2011 dams <dams> 3.4.0-1.mga2
+ Revision: 164912
- clean specfile
- imported package phoronix-test-suite

